Package org.silverpeas.mobile.shared.dto.workflow

## Class FieldPresentationDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.workflow.FieldPresentationDTO

- All Implemented Interfaces:
    `Serializable`

      public class FieldPresentationDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldPresentationDTO()` |
    `FieldPresentationDTO​(String key, String value, String id, String type, String displayerName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getDisplayerName()` |
    `String` | `getId()` |
    `String` | `getInstanceId()` |
    `String` | `getLabel()` |
    `String` | `getType()` |
    `String` | `getValue()` |
    `int` | `hashCode()` |
    `void` | `setDisplayerName​(String displayerName)` |
    `void` | `setId​(String id)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLabel​(String label)` |
    `void` | `setType​(String type)` |
    `void` | `setValue​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldPresentationDTO

          public FieldPresentationDTO()

    - #### FieldPresentationDTO

          public FieldPresentationDTO​(String key,
                                      String value,
                                      String id,
                                      String type,
                                      String displayerName)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getLabel

          public String getLabel()

    - #### setLabel

          public void setLabel​(String label)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue​(String value)

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getDisplayerName

          public String getDisplayerName()

    - #### setDisplayerName

          public void setDisplayerName​(String displayerName)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)